Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezbulkmail/admin/menubox.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: menubox.php 8099 2001-10-30 17:35:04Z fh $
5 //
6 // Created on: <25-Nov-2000 17:53:52 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // Supply $menuItems to get a menubox
28
29 if ( $ini->variable( "eZBulkMailMain", "UseEZUser" ) == "enabled" )
30 {
31 $menuItems = array(
32 array( "/bulkmail/categorylist/", "{intl-category_list}" ),
33 array( "/bulkmail/templatelist/", "{intl-templates}" ),
34 array( "/bulkmail/drafts/", "{intl-drafts}" ),
35 array( "/bulkmail/mailedit/", "{intl-new_mail}" ),
36 array( "/bulkmail/templateedit/", "{intl-new_template}" ),
37 array( "/bulkmail/userlist/", "{intl-user_list}" )
38 );
39
40 }
41 else
42 {
43 $menuItems = array(
44 array( "/bulkmail/categorylist/", "{intl-category_list}" ),
45 array( "/bulkmail/templatelist/", "{intl-templates}" ),
46 array( "/bulkmail/drafts/", "{intl-drafts}" ),
47 array( "/bulkmail/mailedit/", "{intl-new_mail}" ),
48 array( "/bulkmail/templateedit/", "{intl-new_template}" ),
49 array( "/bulkmail/masssubscribe/", "{intl-mass_subscribe}" ),
50 array( "/bulkmail/userlist/", "{intl-user_list}" )
51 );
52 }
53
54 ?>
$ini
$ini
Definition: classes/admin/linklist.php:64
$menuItems
$menuItems
Definition: ezabout/admin/menubox.php:31
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.